$RedHatDrivers = pnputil.exe -e | Select-String -Pattern "Red Hat" -Context 1, 0
$OEMNumbers = $RedHatDrivers.Context.PreContext | Select-String -Pattern "oem\d+\.inf" -AllMatches | % { $_.Matches } | % { $_.Value }
foreach ($OEMNumber in $OEMNumbers) {
    Write-Host "Deleting $OEMNumber"
    pnputil.exe -f -d $OEMNumber
}

pnputil -i -a *.inf
